@echo off
echo OFF
REM IBM WebSphere Application Server V3.5.1 Advanced Fixpack
set COPYCMD=/Y

:check_was_home
if (%WAS_HOME%) == () goto prompt_was_home
set F_WAS_HOME=%WAS_HOME%
goto verify_was_home

:prompt_was_home
REM Get WAS Install Dir
GetInput F_WAS_HOME "Enter the directory where the IBM WebSphere Application Server is installed: " ~washome.bat
call ~washome.bat
del ~washome.bat

:verify_was_home
IF  NOT EXIST  %F_WAS_HOME%\properties\com\ibm\websphere\product.xml   goto bad_was_home

set F_JDK_HOME=%F_WAS_HOME%\jdk

echo WASHOME %F_WAS_HOME%

echo JDKHOME %F_JDK_HOME%

:check_java_home
if exist %F_JDK_HOME%\bin\java.exe  goto run_fixpack

:prompt_java_home
GetInput F_JDK_HOME "Enter the directory where the IBM JDJ 1.2.2 is installed: " ~jdkhome.bat
call ~jdkhome.bat
del ~jdkhome.bat
goto check_java_home

:run_fixpack
echo "Installing the WebSphere Application Server Advanced Edition 3.5 PTF 1"
%F_JDK_HOME%\bin\java -jar was35_adv_ptf_1.jar -target %F_WAS_HOME% -backupJar %F_WAS_HOME%\was35_ptf_1_backup.jar -log %F_WAS_HOME%/logs/was35_ptf_1.log

:prompt_ihs
REM Install IHS?
GetInput F_IHS_YN "Do you wish to upgrade the IBM HTTP Server 1.3.12:(Yes/No) " ~ihsprompt.bat
call ~ihsprompt.bat
del ~ihsprompt.bat
if (%F_IHS_YN%) == (yes) goto check_for_ihs
if (%F_IHS_YN%) == (Yes) goto check_for_ihs
if (%F_IHS_YN%) == (YES) goto check_for_ihs
if (%F_IHS_YN%) == (y) goto check_for_ihs
if (%F_IHS_YN%) == (Y) goto check_for_ihs
goto upgrade_jdk

:check_for_ihs
REM Enter IHS home path
GetInput F_IHS_HOME "Enter the directory where the IBM HTTP Server 1.3.12 is installed: " ~ihshome.bat
call ~ihshome.bat
del ~ihshome.bat
if "%F_IHS_HOME%" == "" goto upgrade_jdk

:verify_ihs
if exist "%F_IHS_HOME%\conf\httpd.conf" goto upgrade_ihs
echo Unable to find IBM HTTP Server Application in specified path: %F_IHS_HOME%
goto prompt_ihs

:upgrade_ihs
echo Upgrading IHS
mkdir ihs_ptf
cd ihs_ptf
%F_JDK_HOME%\bin\jar -xf ..\ihs_ptf_nt.jar
xcopy * "%F_IHS_HOME%" /s/e/q
cd ..
rmdir ihs_ptf /S/Q

:upgrade_jdk
echo Upgrading IBM JDK 1.2.2
mkdir java_ptf
cd java_ptf
%F_JDK_HOME%\bin\jar -xf ..\java_ptf_nt.jar
xcopy * %F_JDK_HOME% /s/e/q
cd ..
rmdir java_ptf /S/Q

goto complete

:bad_was_home
echo Can not find WebSphere Application Server in %F_WAS_HOME%
echo Install aborted
goto exit

:complete
echo IBM WebSphere Application Server V3.5.1 Advanced Fixpack install complete

:exit
